OVFENV(1)

NAME
ovfenv - Show or modify OVF properties for a virtual machine

SYNOPSIS
ovfenv [options]

DESCRIPTION
ovfenv displays or modifies OVF properties of a virtual machine (VM). Properties may be sourced from guestinfo, a CD-ROM, or Studio's default configuration file. You can optionally modify a property value, which updates both the guestinfo structure and Studio's default file.

If no arguments are passed, show all the properties in id[key]=value format

OPTIONS

--dump
    Prints the raw OVF XML to stdout.

--key vm.name
    Show the value of the property named vm.name for the local VM's Equivalent to specifying the property in brackets:
        ovfenv --key [vm.name]

--key vm.PROPERTY --id ubuntu8084
    Show the value of a property for a specific VM named ubbuntu8084. Equivalent to:
        ovfenv --key ubuntu8084[vm.PROPERTY]

--key vm.PROPERTY --value= VALUE
    Set the value of a property for the local VM. Equivalent to:
        ovfenv --key [vm.PROPERTY]=VALUE

--key PROPERTY --value=''
    Clear the value of the specified property for the local VM. Equivalent
        ovfenv --key [vm.PROPERTY]=

SEE ALSO
mkova (1), vmdk-convert (1), ova-compose (1)

AUTHOR
Written by Mégane Vilain <megane.vilain@gmail.com>

REPORTING BUGS
Report bugs to <https://github.com/vmware/open-vmdk/issues>.

COPYRIGHT
Copyright © 2025 Mégane Vilain Licensed under the Apache License, Version 2.0.